<?php
/**
 * Created by Sublime text 2.
 * User: thanhhiep992
 * Date: 31/08/15
 * Time: 10:00 AM
 */
/************************************Main Carousel*************************************/
if(!function_exists('s7upf_vc_parallax_list'))
{
    function s7upf_vc_parallax_list($attr, $content = false)
    {
        $html = $css_class = '';
        extract(shortcode_atts(array(
            'custom_css' => '',
            'el_class' => '',
        ),$attr));
        if(!empty($custom_css)) $css_class = vc_shortcode_custom_css_class( $custom_css );
        $html .=    '<div class="list-product-parallax '.esc_attr($css_class.' '.$el_class).'">';
        $html .=        wpb_js_remove_wpautop($content, false);
        $html .=    '</div>';
        return $html;
    }
}
stp_reg_shortcode('parallax_list','s7upf_vc_parallax_list');
vc_map(
    array(
        'name'     => esc_html__( 'Parallax list', 'lamerfashion' ),
        'base'     => 'parallax_list',
        'category' => esc_html__( '7Up-theme', 'lamerfashion' ),
        'icon'     => 'icon-st',
        'as_parent' => array( 'only' => 'parallax_list_item' ),
        'content_element' => true,
        'js_view' => 'VcColumnView',
        'params'   => array(
            array(
                "type"          => "css_editor",
                "heading"       => esc_html__("Custom Block",'lamerfashion'),
                "param_name"    => "custom_css",
                'group'         => esc_html__('Advanced','lamerfashion')
            ),            
            array(
                'heading'     => esc_html__( 'Add class', 'lamerfashion' ),
                'type'        => 'textfield',
                'param_name'  => 'el_class',
            ),
        )
    )
);

/*******************************************END MAIN*****************************************/


/**************************************BEGIN ITEM************************************/
//Banner item Frontend
if(!function_exists('s7upf_vc_parallax_list_item'))
{
    function s7upf_vc_parallax_list_item($attr, $content = false)
    {
        $html = $char = '';
        extract(shortcode_atts(array(
            'title'     => '',
            'des'       => '',
            'image'     => '',
            'image2'    => '',
            'link'      => '',
            'link2'     => '',
        ),$attr));
        if(!empty($title)) $char = substr($title,0,1);
        $html .=    '<div class="item-product-parallax clearfix">
                        <div class="front-product">
                            <div class="paral-img">
                                <label class="first-letter">'.$char.'</label>
                                '.wp_get_attachment_image($image,'full').'
                            </div>
                        </div>
                        <div class="back-product">
                            <div class="paral-img">
                                '.wp_get_attachment_image($image2,'full').'
                            </div>
                            <div class="paral-info">
                                <h2>'.esc_html($title).'</h2>
                                <h4>'.esc_html($des).'</h4>
                                <div class="paral-button">';
        if(!empty($link)) $html .=    '<a href="'.esc_url($link).'">'.esc_html__("shop now","lamerfashion").'</a>';
        if(!empty($link2)) $html .=    '<a href="'.esc_url($link2).'">'.esc_html__("collection","lamerfashion").'</a>';
        $html .=                '</div>
                            </div>
                        </div>
                    </div>';
        return $html;
    }
}
stp_reg_shortcode('parallax_list_item','s7upf_vc_parallax_list_item');

// Banner item
vc_map(
    array(
        'name'     => esc_html__( 'Parallax Item', 'lamerfashion' ),
        'base'     => 'parallax_list_item',
        'icon'     => 'icon-st',
        'content_element' => true,
        'as_child' => array('only' => 'parallax_list'),
        'params'   => array(
            array(
                'type'        => 'textfield',
                'holder'      => 'h3',
                'heading'     => esc_html__( 'Title', 'lamerfashion' ),
                'param_name'  => 'title',
            ),
            array(
                'type'        => 'textfield',                
                'holder'      => 'p',
                'heading'     => esc_html__( 'Description', 'lamerfashion' ),
                'param_name'  => 'des',
            ),
            array(
                'type'        => 'attach_image',
                'heading'     => esc_html__( 'Image 1', 'lamerfashion' ),
                'param_name'  => 'image',
            ),
            array(
                'type'        => 'attach_image',
                'heading'     => esc_html__( 'Image 2', 'lamerfashion' ),
                'param_name'  => 'image2',
            ),
            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Link 1', 'lamerfashion' ),
                'param_name'  => 'link',
            ),
            array(
                'type'        => 'textfield',
                'heading'     => esc_html__( 'Link 2', 'lamerfashion' ),
                'param_name'  => 'link2',
            ),
        )
    )
);

/**************************************END ITEM************************************/


//Your "container" content element should extend WPBakeryShortCodesContainer class to inherit all required functionality
if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_Parallax_List extends WPBakeryShortCodesContainer {}
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
    class WPBakeryShortCode_Parallax_List_Item extends WPBakeryShortCode {}
}